Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Jan 2024 19:52:01 -0500

> BTW, in your patch, can you keep the whitespace of eglot-server-programs
> or, alternatively, change that whitespace in a separate commit that changes
> nothing else? I understand the current indentation is awful

Exactly, it's awful and goes against our convention to stay within 80
columns.  I'll make it a separate commit.

> but I rely on Git history/vc-region-history a lot in the whole of
> eglot.el

Not sure how making it a separate commit will help.
But following the conventions from the get-go would have avoided this
specific instance of the problem :-)

        Stefan